/** @jsxRuntime classic */
/** @jsx h */
import { GetFrequentlyBoughtTogetherProps } from '@algolia/recommend-core';
import { FrequentlyBoughtTogetherProps as FrequentlyBoughtTogetherVDOMProps } from '@algolia/recommend-vdom';
import { createElement } from 'preact';
import { EnvironmentProps, HTMLTemplate } from './types';
export declare function useFrequentlyBoughtTogether<TObject>(props: GetFrequentlyBoughtTogetherProps<TObject>): {
    status: import("@algolia/recommend-vdom").RecommendStatus;
    recommendations: import("@algolia/recommend-core").RecordWithObjectID<TObject>[];
};
export type FrequentlyBoughtTogetherProps<TObject, TComponentProps extends Record<string, unknown> = {}> = GetFrequentlyBoughtTogetherProps<TObject> & Omit<FrequentlyBoughtTogetherVDOMProps<TObject, TComponentProps>, 'items' | 'status'>;
export declare function frequentlyBoughtTogether<TObject>({ container, environment, itemComponent, fallbackComponent, headerComponent, view, children, ...props }: FrequentlyBoughtTogetherProps<TObject, HTMLTemplate> & EnvironmentProps): createElement.JSX.Element | null;
