/** @jsxRuntime classic */
/** @jsx h */
import { GetLookingSimilarProps } from '@algolia/recommend-core';
import { LookingSimilarProps as LookingSimilarVDOMProps } from '@algolia/recommend-vdom';
import { createElement } from 'preact';
import { EnvironmentProps, HTMLTemplate } from './types';
export declare function useLookingSimilar<TObject>(props: GetLookingSimilarProps<TObject>): {
    status: import("@algolia/recommend-vdom").RecommendStatus;
    recommendations: import("@algolia/recommend-core").RecordWithObjectID<TObject>[];
};
export type LookingSimilarProps<TObject, TComponentProps extends Record<string, unknown> = {}> = GetLookingSimilarProps<TObject> & Omit<LookingSimilarVDOMProps<TObject, TComponentProps>, 'items' | 'status'>;
export declare function lookingSimilar<TObject>({ container, environment, itemComponent, fallbackComponent, headerComponent, view, children, ...props }: LookingSimilarProps<TObject, HTMLTemplate> & EnvironmentProps): createElement.JSX.Element | null;
