/** @jsxRuntime classic */
/** @jsx h */
import { GetRelatedProductsProps } from '@algolia/recommend-core';
import { RelatedProductsProps as RelatedProductsVDOMProps } from '@algolia/recommend-vdom';
import { createElement } from 'preact';
import { EnvironmentProps, HTMLTemplate } from './types';
export declare function useRelatedProducts<TObject>(props: GetRelatedProductsProps<TObject>): {
    status: import("@algolia/recommend-vdom").RecommendStatus;
    recommendations: import("@algolia/recommend-core").RecordWithObjectID<TObject>[];
};
export type RelatedProductsProps<TObject, TComponentProps extends Record<string, unknown> = {}> = GetRelatedProductsProps<TObject> & Omit<RelatedProductsVDOMProps<TObject, TComponentProps>, 'items' | 'status'>;
export declare function relatedProducts<TObject>({ container, environment, itemComponent, fallbackComponent, headerComponent, view, children, ...props }: RelatedProductsProps<TObject, HTMLTemplate> & EnvironmentProps): createElement.JSX.Element | null;
