/** @jsxRuntime classic */
/** @jsx h */
import { GetTrendingItemsProps } from '@algolia/recommend-core';
import { TrendingItemsProps as TrendingItemsVDOMProps } from '@algolia/recommend-vdom';
import { createElement } from 'preact';
import { EnvironmentProps, HTMLTemplate } from './types';
export declare function useTrendingItems<TObject>(props: GetTrendingItemsProps<TObject>): {
    status: import("@algolia/recommend-vdom").RecommendStatus;
    recommendations: import("@algolia/recommend-core").RecordWithObjectID<TObject>[];
};
export type TrendingItemsProps<TObject, TComponentProps extends Record<string, unknown> = {}> = GetTrendingItemsProps<TObject> & Omit<TrendingItemsVDOMProps<TObject, TComponentProps>, 'items' | 'status'>;
export declare function trendingItems<TObject>({ container, environment, itemComponent, fallbackComponent, headerComponent, view, children, ...props }: TrendingItemsProps<TObject, HTMLTemplate> & EnvironmentProps): createElement.JSX.Element | null;
